Package org.kapott.hbci.sepa.jaxb.camt_052_001_02

## Class EntryTransaction2

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_02.EntryTransaction2

    public class EntryTransaction2
    extends java.lang.Object

Java class for EntryTransaction2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EntryTransaction2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Refs" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}TransactionReferences2" minOccurs="0"/>
             <element name="AmtDtls" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}AmountAndCurrencyExchange3" minOccurs="0"/>
             <element name="Avlbty" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}CashBalanceAvailability2" maxOccurs="unbounded" minOccurs="0"/>
             <element name="BkTxCd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}BankTransactionCodeStructure4" minOccurs="0"/>
             <element name="Chrgs" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}ChargesInformation6" maxOccurs="unbounded" minOccurs="0"/>
             <element name="Intrst" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}TransactionInterest2" maxOccurs="unbounded" minOccurs="0"/>
             <element name="RltdPties" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}TransactionParty2" minOccurs="0"/>
             <element name="RltdAgts" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}TransactionAgents2" minOccurs="0"/>
             <element name="Purp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}Purpose2Choice" minOccurs="0"/>
             <element name="RltdRmtInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}RemittanceLocation2" maxOccurs="10" minOccurs="0"/>
             <element name="RmtInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}RemittanceInformation5" minOccurs="0"/>
             <element name="RltdDts" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}TransactionDates2" minOccurs="0"/>
             <element name="RltdPric" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}TransactionPrice2Choice" minOccurs="0"/>
             <element name="RltdQties" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}TransactionQuantities1Choice" maxOccurs="unbounded" minOccurs="0"/>
             <element name="FinInstrmId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}SecurityIdentification4Choice" minOccurs="0"/>
             <element name="Tax" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}TaxInformation3" minOccurs="0"/>
             <element name="RtrInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}ReturnReasonInformation10" minOccurs="0"/>
             <element name="CorpActn" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}CorporateAction1" minOccurs="0"/>
             <element name="SfkpgAcct" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}CashAccount16" minOccurs="0"/>
             <element name="AddtlTxInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}Max500Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `addtlTxInf`
`protected AmountAndCurrencyExchange3` `amtDtls`
`protected java.util.List<CashBalanceAvailability2>` `avlbty`
`protected BankTransactionCodeStructure4` `bkTxCd`
`protected java.util.List<ChargesInformation6>` `chrgs`
`protected CorporateAction1` `corpActn`
`protected SecurityIdentification4Choice` `finInstrmId`
`protected java.util.List<TransactionInterest2>` `intrst`
`protected Purpose2Choice` `purp`
`protected TransactionReferences2` `refs`
`protected TransactionAgents2` `rltdAgts`
`protected TransactionDates2` `rltdDts`
`protected TransactionPrice2Choice` `rltdPric`
`protected TransactionParty2` `rltdPties`
`protected java.util.List<TransactionQuantities1Choice>` `rltdQties`
`protected java.util.List<RemittanceLocation2>` `rltdRmtInf`
`protected RemittanceInformation5` `rmtInf`
`protected ReturnReasonInformation10` `rtrInf`
`protected CashAccount16` `sfkpgAcct`
`protected TaxInformation3` `tax`

### Constructor Summary

Constructors
`EntryTransaction2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAddtlTxInf()` Gets the value of the addtlTxInf property.
`AmountAndCurrencyExchange3` `getAmtDtls()` Gets the value of the amtDtls property.
`java.util.List<CashBalanceAvailability2>` `getAvlbty()` Gets the value of the avlbty property.
`BankTransactionCodeStructure4` `getBkTxCd()` Gets the value of the bkTxCd property.
`java.util.List<ChargesInformation6>` `getChrgs()` Gets the value of the chrgs property.
`CorporateAction1` `getCorpActn()` Gets the value of the corpActn property.
`SecurityIdentification4Choice` `getFinInstrmId()` Gets the value of the finInstrmId property.
`java.util.List<TransactionInterest2>` `getIntrst()` Gets the value of the intrst property.
`Purpose2Choice` `getPurp()` Gets the value of the purp property.
`TransactionReferences2` `getRefs()` Gets the value of the refs property.
`TransactionAgents2` `getRltdAgts()` Gets the value of the rltdAgts property.
`TransactionDates2` `getRltdDts()` Gets the value of the rltdDts property.
`TransactionPrice2Choice` `getRltdPric()` Gets the value of the rltdPric property.
`TransactionParty2` `getRltdPties()` Gets the value of the rltdPties property.
`java.util.List<TransactionQuantities1Choice>` `getRltdQties()` Gets the value of the rltdQties property.
`java.util.List<RemittanceLocation2>` `getRltdRmtInf()` Gets the value of the rltdRmtInf property.
`RemittanceInformation5` `getRmtInf()` Gets the value of the rmtInf property.
`ReturnReasonInformation10` `getRtrInf()` Gets the value of the rtrInf property.
`CashAccount16` `getSfkpgAcct()` Gets the value of the sfkpgAcct property.
`TaxInformation3` `getTax()` Gets the value of the tax property.
`void` `setAddtlTxInf​(java.lang.String value)` Sets the value of the addtlTxInf property.
`void` `setAmtDtls​(AmountAndCurrencyExchange3 value)` Sets the value of the amtDtls property.
`void` `setBkTxCd​(BankTransactionCodeStructure4 value)` Sets the value of the bkTxCd property.
`void` `setCorpActn​(CorporateAction1 value)` Sets the value of the corpActn property.
`void` `setFinInstrmId​(SecurityIdentification4Choice value)` Sets the value of the finInstrmId property.
`void` `setPurp​(Purpose2Choice value)` Sets the value of the purp property.
`void` `setRefs​(TransactionReferences2 value)` Sets the value of the refs property.
`void` `setRltdAgts​(TransactionAgents2 value)` Sets the value of the rltdAgts property.
`void` `setRltdDts​(TransactionDates2 value)` Sets the value of the rltdDts property.
`void` `setRltdPric​(TransactionPrice2Choice value)` Sets the value of the rltdPric property.
`void` `setRltdPties​(TransactionParty2 value)` Sets the value of the rltdPties property.
`void` `setRmtInf​(RemittanceInformation5 value)` Sets the value of the rmtInf property.
`void` `setRtrInf​(ReturnReasonInformation10 value)` Sets the value of the rtrInf property.
`void` `setSfkpgAcct​(CashAccount16 value)` Sets the value of the sfkpgAcct property.
`void` `setTax​(TaxInformation3 value)` Sets the value of the tax property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### refs

    protected TransactionReferences2 refs

#### amtDtls

    protected AmountAndCurrencyExchange3 amtDtls

#### avlbty

    protected java.util.List<CashBalanceAvailability2> avlbty

#### bkTxCd

    protected BankTransactionCodeStructure4 bkTxCd

#### chrgs

    protected java.util.List<ChargesInformation6> chrgs

#### intrst

    protected java.util.List<TransactionInterest2> intrst

#### rltdPties

    protected TransactionParty2 rltdPties

#### rltdAgts

    protected TransactionAgents2 rltdAgts

#### purp

    protected Purpose2Choice purp

#### rltdRmtInf

    protected java.util.List<RemittanceLocation2> rltdRmtInf

#### rmtInf

    protected RemittanceInformation5 rmtInf

#### rltdDts

    protected TransactionDates2 rltdDts

#### rltdPric

    protected TransactionPrice2Choice rltdPric

#### rltdQties

    protected java.util.List<TransactionQuantities1Choice> rltdQties

#### finInstrmId

    protected SecurityIdentification4Choice finInstrmId

#### tax

    protected TaxInformation3 tax

#### rtrInf

    protected ReturnReasonInformation10 rtrInf

#### corpActn

    protected CorporateAction1 corpActn

#### sfkpgAcct

    protected CashAccount16 sfkpgAcct

#### addtlTxInf

    protected java.lang.String addtlTxInf

### Constructor Detail

#### EntryTransaction2

    public EntryTransaction2()

### Method Detail

#### getRefs

    public TransactionReferences2 getRefs()

Gets the value of the refs property.

Returns:
  possible object is `TransactionReferences2`

#### setRefs

    public void setRefs​(TransactionReferences2 value)

Sets the value of the refs property.

Parameters:
  `value` - allowed object is `TransactionReferences2`

#### getAmtDtls

    public AmountAndCurrencyExchange3 getAmtDtls()

Gets the value of the amtDtls property.

Returns:
  possible object is `AmountAndCurrencyExchange3`

#### setAmtDtls

    public void setAmtDtls​(AmountAndCurrencyExchange3 value)

Sets the value of the amtDtls property.

Parameters:
  `value` - allowed object is `AmountAndCurrencyExchange3`

#### getAvlbty

    public java.util.List<CashBalanceAvailability2> getAvlbty()

Gets the value of the avlbty property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the avlbty property.

For example, to add a new item, do as follows:

        getAvlbty().add(newItem);

Objects of the following type(s) are allowed in the list `CashBalanceAvailability2`

#### getBkTxCd

    public BankTransactionCodeStructure4 getBkTxCd()

Gets the value of the bkTxCd property.

Returns:
  possible object is `BankTransactionCodeStructure4`

#### setBkTxCd

    public void setBkTxCd​(BankTransactionCodeStructure4 value)

Sets the value of the bkTxCd property.

Parameters:
  `value` - allowed object is `BankTransactionCodeStructure4`

#### getChrgs

    public java.util.List<ChargesInformation6> getChrgs()

Gets the value of the chrgs property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the chrgs property.

For example, to add a new item, do as follows:

        getChrgs().add(newItem);

Objects of the following type(s) are allowed in the list `ChargesInformation6`

#### getIntrst

    public java.util.List<TransactionInterest2> getIntrst()

Gets the value of the intrst property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the intrst property.

For example, to add a new item, do as follows:

        getIntrst().add(newItem);

Objects of the following type(s) are allowed in the list `TransactionInterest2`

#### getRltdPties

    public TransactionParty2 getRltdPties()

Gets the value of the rltdPties property.

Returns:
  possible object is `TransactionParty2`

#### setRltdPties

    public void setRltdPties​(TransactionParty2 value)

Sets the value of the rltdPties property.

Parameters:
  `value` - allowed object is `TransactionParty2`

#### getRltdAgts

    public TransactionAgents2 getRltdAgts()

Gets the value of the rltdAgts property.

Returns:
  possible object is `TransactionAgents2`

#### setRltdAgts

    public void setRltdAgts​(TransactionAgents2 value)

Sets the value of the rltdAgts property.

Parameters:
  `value` - allowed object is `TransactionAgents2`

#### getPurp

    public Purpose2Choice getPurp()

Gets the value of the purp property.

Returns:
  possible object is `Purpose2Choice`

#### setPurp

    public void setPurp​(Purpose2Choice value)

Sets the value of the purp property.

Parameters:
  `value` - allowed object is `Purpose2Choice`

#### getRltdRmtInf

    public java.util.List<RemittanceLocation2> getRltdRmtInf()

Gets the value of the rltdRmtInf property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rltdRmtInf property.

For example, to add a new item, do as follows:

        getRltdRmtInf().add(newItem);

Objects of the following type(s) are allowed in the list `RemittanceLocation2`

#### getRmtInf

    public RemittanceInformation5 getRmtInf()

Gets the value of the rmtInf property.

Returns:
  possible object is `RemittanceInformation5`

#### setRmtInf

    public void setRmtInf​(RemittanceInformation5 value)

Sets the value of the rmtInf property.

Parameters:
  `value` - allowed object is `RemittanceInformation5`

#### getRltdDts

    public TransactionDates2 getRltdDts()

Gets the value of the rltdDts property.

Returns:
  possible object is `TransactionDates2`

#### setRltdDts

    public void setRltdDts​(TransactionDates2 value)

Sets the value of the rltdDts property.

Parameters:
  `value` - allowed object is `TransactionDates2`

#### getRltdPric

    public TransactionPrice2Choice getRltdPric()

Gets the value of the rltdPric property.

Returns:
  possible object is `TransactionPrice2Choice`

#### setRltdPric

    public void setRltdPric​(TransactionPrice2Choice value)

Sets the value of the rltdPric property.

Parameters:
  `value` - allowed object is `TransactionPrice2Choice`

#### getRltdQties

    public java.util.List<TransactionQuantities1Choice> getRltdQties()

Gets the value of the rltdQties property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rltdQties property.

For example, to add a new item, do as follows:

        getRltdQties().add(newItem);

Objects of the following type(s) are allowed in the list `TransactionQuantities1Choice`

#### getFinInstrmId

    public SecurityIdentification4Choice getFinInstrmId()

Gets the value of the finInstrmId property.

Returns:
  possible object is `SecurityIdentification4Choice`

#### setFinInstrmId

    public void setFinInstrmId​(SecurityIdentification4Choice value)

Sets the value of the finInstrmId property.

Parameters:
  `value` - allowed object is `SecurityIdentification4Choice`

#### getTax

    public TaxInformation3 getTax()

Gets the value of the tax property.

Returns:
  possible object is `TaxInformation3`

#### setTax

    public void setTax​(TaxInformation3 value)

Sets the value of the tax property.

Parameters:
  `value` - allowed object is `TaxInformation3`

#### getRtrInf

    public ReturnReasonInformation10 getRtrInf()

Gets the value of the rtrInf property.

Returns:
  possible object is `ReturnReasonInformation10`

#### setRtrInf

    public void setRtrInf​(ReturnReasonInformation10 value)

Sets the value of the rtrInf property.

Parameters:
  `value` - allowed object is `ReturnReasonInformation10`

#### getCorpActn

    public CorporateAction1 getCorpActn()

Gets the value of the corpActn property.

Returns:
  possible object is `CorporateAction1`

#### setCorpActn

    public void setCorpActn​(CorporateAction1 value)

Sets the value of the corpActn property.

Parameters:
  `value` - allowed object is `CorporateAction1`

#### getSfkpgAcct

    public CashAccount16 getSfkpgAcct()

Gets the value of the sfkpgAcct property.

Returns:
  possible object is `CashAccount16`

#### setSfkpgAcct

    public void setSfkpgAcct​(CashAccount16 value)

Sets the value of the sfkpgAcct property.

Parameters:
  `value` - allowed object is `CashAccount16`

#### getAddtlTxInf

    public java.lang.String getAddtlTxInf()

Gets the value of the addtlTxInf property.

Returns:
  possible object is `String`

#### setAddtlTxInf

    public void setAddtlTxInf​(java.lang.String value)

Sets the value of the addtlTxInf property.

Parameters:
  `value` - allowed object is `String`